Page MenuHomePhabricator

Gallery mode "packed-hover" should show image description in print mode
Closed, ResolvedPublic

Description

The gallery mode "packed-hover" does not show the image description in browser print mode.

Example: https://test.wikipedia.org/wiki/User:Raymond/packed-hover

https://test.wikipedia.org/w/index.php?title=User:Raymond/packed-hover&printable=yes

I suggest to add some rules to print.css so that the descriptions are visible on printed paper.

Event Timeline

Raymond created this task.Jul 14 2016, 10:25 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 14 2016, 10:25 AM
dr0ptp4kt triaged this task as Low priority.Sep 6 2017, 4:24 PM
dr0ptp4kt added a project: good first bug.
dr0ptp4kt moved this task from Untriaged to Needs Design on the Multimedia board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 6 2017, 4:24 PM
Cparle added a subscriber: Cparle.Sep 25 2017, 10:13 AM

Change 380514 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/core@master] Add print styles for gallery mode packed-hover

https://gerrit.wikimedia.org/r/380514

Change 380514 merged by jenkins-bot:
[mediawiki/core@master] Add print styles for gallery mode packed-hover

https://gerrit.wikimedia.org/r/380514

@Raymond patch for this merged and released to beta. Could you take a look please? https://en.wikipedia.beta.wmflabs.org/w/index.php?title=User:CParle&printable=yes

@Raymond patch for this merged and released to beta. Could you take a look please? https://en.wikipedia.beta.wmflabs.org/w/index.php?title=User:CParle&printable=yes

@Cparle Looks good, thank you :-)

\o/ you're welcome!

Cparle closed this task as Resolved.Oct 24 2017, 8:23 AM